Open CASCADE Technology: BRepBlend_CurvPointRadInv Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepBlend_CurvPointRadInv Class Reference

Function of reframing between a point and a curve. valid in cases of constant and progressive radius. This function is used to find a solution on a done point of the curve 1 when using RstRstConsRad or CSConstRad... The vector <X> used in Value, Values and Derivatives methods has to be the vector of the parametric coordinates w, U where w is the parameter on the guide line, U are the parametric coordinates of a point on the partner curve 2. More...

`#include <BRepBlend_CurvPointRadInv.hxx>`

Inheritance diagram for BRepBlend_CurvPointRadInv:
[legend]

## Public Member Functions
| BRepBlend_CurvPointRadInv (const Handle< Adaptor3d_HCurve > &C1, const Handle< Adaptor3d_HCurve > &C2)
void | Set (const Standard_Integer Choix)
Standard_Integer | NbEquations () const
| returns 2. More...
Standard_Boolean | Value (const math_Vector &X, math_Vector &F)
| computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Derivatives (const math_Vector &X, math_Matrix &D)
| returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Values (const math_Vector &X, math_Vector &F, math_Matrix &D)
| returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
void | Set (const gp_Pnt &P)
| Set the Point on which a solution has to be found. More...
void | GetTolerance (math_Vector &Tolerance, const Standard_Real Tol) const
| Returns in the vector Tolerance the parametric tolerance for each of the 3 variables; Tol is the tolerance used in 3d space. More...
void | GetBounds (math_Vector &InfBound, math_Vector &SupBound) const
| Returns in the vector InfBound the lowest values allowed for each of the 3 variables. Returns in the vector SupBound the greatest values allowed for each of the 3 variables. More...
Standard_Boolean | IsSolution (const math_Vector &Sol, const Standard_Real Tol)
| Returns Standard_True if Sol is a zero of the function. Tol is the tolerance used in 3d space. More...
Public Member Functions inherited from Blend_CurvPointFuncInv
Standard_Integer | NbVariables () const
| Returns 3. More...
Public Member Functions inherited from math_FunctionSet
virtual void | Delete ()
virtual | ~math_FunctionSet ()
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Detailed Description

Function of reframing between a point and a curve. valid in cases of constant and progressive radius. This function is used to find a solution on a done point of the curve 1 when using RstRstConsRad or CSConstRad... The vector <X> used in Value, Values and Derivatives methods has to be the vector of the parametric coordinates w, U where w is the parameter on the guide line, U are the parametric coordinates of a point on the partner curve 2.

## Constructor & Destructor Documentation

BRepBlend_CurvPointRadInv::BRepBlend_CurvPointRadInv | ( | const Handle< Adaptor3d_HCurve > & | C1,
|  | const Handle< Adaptor3d_HCurve > & | C2
| ) |  |

## Member Function Documentation

Standard_Boolean BRepBlend_CurvPointRadInv::Derivatives | ( | const math_Vector & | X,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements Blend_CurvPointFuncInv.

void BRepBlend_CurvPointRadInv::GetBounds | ( | math_Vector & | InfBound,
|  | math_Vector & | SupBound
| ) |  | const
| virtual

Returns in the vector InfBound the lowest values allowed for each of the 3 variables. Returns in the vector SupBound the greatest values allowed for each of the 3 variables.

Implements Blend_CurvPointFuncInv.

void BRepBlend_CurvPointRadInv::GetTolerance | ( | math_Vector & | Tolerance,
|  | const Standard_Real | Tol
| ) |  | const
| virtual

Returns in the vector Tolerance the parametric tolerance for each of the 3 variables; Tol is the tolerance used in 3d space.

Implements Blend_CurvPointFuncInv.

Standard_Boolean BRepBlend_CurvPointRadInv::IsSolution | ( | const math_Vector & | Sol,
|  | const Standard_Real | Tol
| ) |  |
| virtual

Returns Standard_True if Sol is a zero of the function. Tol is the tolerance used in 3d space.

Implements Blend_CurvPointFuncInv.

Standard_Integer BRepBlend_CurvPointRadInv::NbEquations | ( |  | ) | const
| virtual

returns 2.

Implements Blend_CurvPointFuncInv.

void BRepBlend_CurvPointRadInv::Set | ( | const Standard_Integer | Choix | ) |

void BRepBlend_CurvPointRadInv::Set | ( | const gp_Pnt & | P | ) |
| virtual

Set the Point on which a solution has to be found.

Implements Blend_CurvPointFuncInv.

Standard_Boolean BRepBlend_CurvPointRadInv::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| virtual

computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements Blend_CurvPointFuncInv.

Standard_Boolean BRepBlend_CurvPointRadInv::Values | ( | const math_Vector & | X,
|  | math_Vector & | F,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements Blend_CurvPointFuncInv.

The documentation for this class was generated from the following file:

- BRepBlend_CurvPointRadInv.hxx